const std = @import("std");

pub fn build(b: *std.Build) void {
	const target = b.standardTargetOptions(.{});
	const optimize = b.standardOptimizeOption(.{});

	const exe = b.addExecutable(.{
		.name = "powerbottom",
		.root_source_file = b.path("src/main.zig"),
		.target = target,
		.optimize = optimize,
	});

	b.installArtifact(exe);
	const run_cmd = b.addRunArtifact(exe);
	run_cmd.step.dependOn(b.getInstallStep());

	// This allows the user to pass arguments to the application in the build
	// command itself, like this: `zig build run -- arg1 arg2 etc`
	if (b.args) |args| {
		run_cmd.addArgs(args);
	}

	// This creates a build step. It will be visible in the `zig build --help` menu,
	// and can be selected like this: `zig build run`
	// This will evaluate the `run` step rather than the default, which is "install".
	const run_step = b.step("run", "Run the app");
	run_step.dependOn(&run_cmd.step);
}
